[Test] Revert (partially) Fix windows buildkite (#26615) (#27495)

Root cause:
https://www.shell-tips.com/bash/source-dot-command/#gsc.tab=0
Using . will execute the command in the "current shell" in a bash script. It looks like removing . command from ci.sh init means that we will lose the set -eo command used within ci.sh init applied to next test running commands because set -eo is called within a child process, not the current shell (so the future command won't have the set -eo configured).
This commit is contained in:
SangBin Cho 2022-08-05 05:55:48 +09:00 committed by GitHub
parent ef260702a2
commit 5298ee83b2
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
2 changed files with 4 additions and 4 deletions

View file

@ -12,7 +12,7 @@ prelude_commands: &prelude_commands |-
rm -rf /tmp/bazel_event_logs
cleanup() { if [ "${BUILDKITE_PULL_REQUEST}" = "false" ]; then ./ci/build/upload_build_info.sh; fi }; trap cleanup EXIT
(which bazel && bazel clean) || true;
./ci/ci.sh init && source ~/.zshrc
. ./ci/ci.sh init && source ~/.zshrc
./ci/ci.sh build
./ci/env/install-dependencies.sh
./ci/env/env_info.sh
@ -44,7 +44,7 @@ steps:
- export MAC_WHEELS=1
- export MAC_JARS=1
- export RAY_INSTALL_JAVA=1
- ./ci/ci.sh init && source ~/.zshrc
- . ./ci/ci.sh init && source ~/.zshrc
- ./ci/ci.sh build
# Test wheels
- ./ci/ci.sh test_wheels

View file

@ -31,7 +31,7 @@ steps:
- *prelude_commands
# conda init should be moved to the docker image setup
- conda init
- ./ci/ci.sh init
- . ./ci/ci.sh init
- ./ci/ci.sh build
- if [ "${BUILDKITE_PARALLEL_JOB}" = "0" ]; then ./ci/ci.sh test_core; fi
# The next command will be sharded into $parallelism shards.
@ -41,6 +41,6 @@ steps:
commands:
- *prelude_commands
- export WINDOWS_WHEELS="1"
- ./ci/ci.sh init
- . ./ci/ci.sh init
- ./ci/ci.sh build
- *upload_wheels_if_needed